Mail archive
alpine-aports

[alpine-aports] [PATCH] main/flake8: renamed from main/pyflake8

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 22 Jul 2015 18:41:37 -0500

Upstream project is called flake8, as is the command.
---
 main/flake8/APKBUILD   | 40 ++++++++++++++++++++++++++++++++++++++++
 main/pyflake8/APKBUILD | 41 -----------------------------------------
 2 files changed, 40 insertions(+), 41 deletions(-)
 create mode 100644 main/flake8/APKBUILD
 delete mode 100644 main/pyflake8/APKBUILD
diff --git a/main/flake8/APKBUILD b/main/flake8/APKBUILD
new file mode 100644
index 0000000..f862801
--- /dev/null
+++ b/main/flake8/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer: Fabian Affolter <fabian_at_affolter-engineering.ch>
+pkgname=flake8
+pkgver=2.4.1
+pkgrel=0
+pkgdesc="A modular source code checker"
+url="https://gitlab.com/pycqa/flake8"
+arch="noarch"
+license="MIT"
+depends="python py-setuptools py-mccabe py-pep8 pyflakes"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="ed45d3db81a3b7c88bd63c6e37ca1d65  flake8-2.4.1.tar.gz"
+sha256sums="2e7ebbe59d8c85e626e36d99f0db2f578394313d3f7ce9dc9f1da57ef6cd7537  flake8-2.4.1.tar.gz"
+sha512sums="8ddd07d6be53b06efcf7dd9aa2daa070ab209f7177e46f32a3bcae545acbb5e020aa27aeab54426798ae6c3722b38928b06dc3e53115cc624a16fa0fa97f4840  flake8-2.4.1.tar.gz"
diff --git a/main/pyflake8/APKBUILD b/main/pyflake8/APKBUILD
deleted file mode 100644
index b80d3e7..0000000
--- a/main/pyflake8/APKBUILD
+++ /dev/null
_at_@ -1,41 +0,0 @@
-# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
-# Maintainer: Fabian Affolter <fabian_at_affolter-engineering.ch>
-pkgname=pyflake8
-_pkgname=flake8
-pkgver=2.4.1
-pkgrel=0
-pkgdesc="A modular source code checker"
-url="https://gitlab.com/pycqa/flake8"
-arch="noarch"
-license="MIT"
-depends="python py-setuptools py-mccabe py-pep8 pyflakes"
-depends_dev=""
-makedepends="python-dev"
-install=""
-subpackages=""
-source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	python setup.py build || return 1
-}
-
-package() {
-	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-md5sums="ed45d3db81a3b7c88bd63c6e37ca1d65  flake8-2.4.1.tar.gz"
-sha256sums="2e7ebbe59d8c85e626e36d99f0db2f578394313d3f7ce9dc9f1da57ef6cd7537  flake8-2.4.1.tar.gz"
-sha512sums="8ddd07d6be53b06efcf7dd9aa2daa070ab209f7177e46f32a3bcae545acbb5e020aa27aeab54426798ae6c3722b38928b06dc3e53115cc624a16fa0fa97f4840  flake8-2.4.1.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jul 22 2015 - 18:41:37 GMT